name = "noobz102's stupid face mod"
dependencies = {
    {"exdilin", "0.5"}
}

function register(registerType)
	if registerType == "textures" then
        exdilin.register_and_load_texture("noobznomouth", "noobzface1.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzbruh", "noobzface2.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzcarrotmouth", "noobzface3.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzcolonthree", "noobzface4.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzstareyes", "noobzface5.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzshocked", "noobzface6.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzstoopid", "noobzface7.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzgrrr", "noobzface8.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzscaryaaaa", "noobzface9.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzamogcry", "noobzface10.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzyippee", "noobzface11.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobznyah", "noobzface12.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzring", "noobzface13.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzhideri", "noobzface14.png", "Normal", "OneSideTo1x1")

        -- please forgive me someone asked me to do it 

        exdilin.register_and_load_texture("noobzslay", "noobzface15.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzooh", "noobzface16.png", "Normal", "OneSideTo1x1")
        exdilin.register_and_load_texture("noobzcolonslash", "noobzface17.png", "Normal", "OneSideTo1x1")
	end
end
 
function init()
    exdilin.load_block_model("headphones", "headphone.obj")
    exdilin.load_block_model("headbunny", "headphonebunny.obj")
    exdilin.load_block_model("headcat", "headphonecat.obj")
end

function pre_init()
	local headphones = exdilin.new_block({
		id = "headphone",
		modelName = "headphones"
	})
	local headphonesItem = headphones.default_block_item("Yellow/Cube", "rare")
	headphonesItem.register()
    headphones.register()

    local headbunny = exdilin.new_block({
		id = "headbunny",
		modelName = "headbunny"
	})
	local headbunnyItem = headbunny.default_block_item("Yellow/Cube", "rare")
	headbunnyItem.register()
    headbunny.register()

    local headcat = exdilin.new_block({
		id = "headcat",
		modelName = "headcat"
	})
	local headcatItem = headcat.default_block_item("Yellow/Cube", "rare")
	headcatItem.register()
    headcat.register()

    exdilin.texture_item("noobznomouth").register()
    exdilin.texture_item("noobzbruh").register()
    exdilin.texture_item("noobzcarrotmouth").register()
    exdilin.texture_item("noobzcolonthree").register()
    exdilin.texture_item("noobzstareyes").register()
    exdilin.texture_item("noobzshocked").register()
    exdilin.texture_item("noobzstoopid").register()
    exdilin.texture_item("noobzgrrr").register()
    exdilin.texture_item("noobzscaryaaaa").register()
    exdilin.texture_item("noobzamogcry").register()
    exdilin.texture_item("noobzyippee").register()
    exdilin.texture_item("noobznyah").register()
    exdilin.texture_item("noobzring").register()
    exdilin.texture_item("noobzhideri").register()
    exdilin.texture_item("noobzslay").register()
    exdilin.texture_item("noobzooh").register()
    exdilin.texture_item("noobzcolonslash").register()
end
